CO_LEDs.h File Reference
CANopen_303 » LED indicators

CANopen Indicator specification (CiA 303-3 v1.4.0) More...

`#include "301/CO_driver.h"`
`#include "301/CO_NMT_Heartbeat.h"`

Go to the source code of this file.

## Data Structures

struct | CO_LEDs_t
| LEDs object, initialized by CO_LEDs_init() More...

## Macros

#define | CO_LED_RED(LEDs, BITFIELD) (((LEDs)->LEDred & BITFIELD) ? 1 : 0)
| Get on/off state for green led for specified bitfield.
#define | CO_LED_GREEN(LEDs, BITFIELD) (((LEDs)->LEDgreen & BITFIELD) ? 1 : 0)
| Get on/off state for green led for specified bitfield.

## Enumerations

enum | CO_LED_BITFIELD_t { CO_LED_flicker = 0x01, CO_LED_blink = 0x02, CO_LED_flash_1 = 0x04, CO_LED_flash_2 = 0x08, CO_LED_flash_3 = 0x10, CO_LED_flash_4 = 0x20, CO_LED_CANopen = 0x80 }
| Bitfield for combining with red or green led. More...

## Functions

CO_ReturnError_t | CO_LEDs_init (CO_LEDs_t *LEDs)
| Initialize LEDs object. More...
void | CO_LEDs_process (CO_LEDs_t *LEDs, uint32_t timeDifference_us, CO_NMT_internalState_t NMTstate, bool_t LSSconfig, bool_t ErrCANbusOff, bool_t ErrCANbusWarn, bool_t ErrRpdo, bool_t ErrSync, bool_t ErrHbCons, bool_t ErrOther, bool_t firmwareDownload, uint32_t *timerNext_us)
| Process indicator states. More...

## Detailed Description

CANopen Indicator specification (CiA 303-3 v1.4.0)

Author
  Janez Paternoster

Copyright
  2020 Janez Paternoster

This file is part of CANopenNode, an opensource CANopen Stack. Project home page is https://github.com/CANopenNode/CANopenNode. For more information on CANopen see http://www.can-cia.org/.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.